@import url("https://fonts.googleapis.com/css2?family=Roboto:wght@100;300;400;500;700;900&display=swap");

*,
*::before,
*::after {
  box-sizing: border-box;
}

* {
  margin: 0;
  padding: 0;
  font-family: Roboto, sans-serif;
}

body {
  background-color: #FAF9F6 !important;
}

html {
  scroll-behavior: smooth;

  --primary-clr: #EADF28;
  --primary-medium-clr: #C4BA1E;
  --primary-light-clr:#f7f3da ;
  --bg-clr-1: #F9F9F4;
  --dark-heading-clr: #1A1A17;
  --dark-text-clr: #4A4A45;
  --light-heading-clr: #6d6809;
  --light-text-clr: #E2E2D8;
}


.section-header h1 {
  position: relative;
  font-size: 32px;
  letter-spacing: 1px;
  color: var(--dark-heading-clr);
  margin-bottom: 20px;
}
.section-header h1::before {
  position: absolute;
  content: "";
  width: 100px;
  height: 1px;
  left: 0;
  top: calc(100% + 5px);
  background-color: var(--dark-text-clr);
}
.section-header h1::after {
  position: absolute;
  content: "";
  width: 50px;
  height: 3px;
  left: 0;
  top: calc(100% + 4px);
  background-color: var(--primary-clr);
}
.section-header p {
  color: var(--dark-text-clr);
  margin-bottom: 40px;
  max-width: 700px;
}

button.btn {
  padding: 10px 18px;
  background-color: var(--primary-clr);
  color: var(--light-heading-clr);
  font-size: 15px;
  border: 1px solid transparent;
  border-radius: 5px;
  cursor: pointer;
  transition: all 0.3s;
}
button.btn:hover {
  background-color: var(--light-heading-clr);
}

section.home {
  position: relative;
  width: 100%;
  min-height: 100vh;
}
.home .main-navbar {
  position: absolute;
  width: 100%;
  max-width: 1400px;
  height: 12vh;
  max-height: 80px;
  background-color: white;
  padding: 0px 8%;
  margin: 0px auto;
  display: flex;
  justify-content: space-between;
  align-items: center;
  z-index: 100;
}
.home.active .main-navbar {
  position: fixed;
  top: 0;
  margin: 0px auto;
  box-shadow: 0px 2px 10px rgba(0, 0, 0, 0.25);
  animation: showMenu 0.6s ease-in;
}
@keyframes showMenu {
  from {
    transform: translateY(-100px);
  }
  to {
    transform: translateY(0px);
  }
}
.main-navbar .logo {
  text-decoration: none;
}
.main-navbar .logo img {
  width: 120px;
  height: auto;
}
.main-navbar .nav-list {
  list-style: none;
}
.main-navbar .nav-list li {
  display: inline-block;
  margin: 0px 10px;
}
.main-navbar .nav-list li a {
  position: relative;
  color: black;
  font-weight: 500;
  font-size: 14px;
  text-transform: uppercase;
  text-decoration: none;
  letter-spacing: 1px;
}
.main-navbar .nav-list li a::after {
  position: absolute;
  content: "";
  width: 100%;
  height: 2px;
  background-color: var(--primary-clr);
  left: 0;
  top: calc(100% + 2px);
  transition: all 0.3s;
  transform: scaleX(0);
}
.main-navbar .nav-list li a:hover::after {
  transform: scaleX(1);
}
.main-navbar .get-started-btn {
  background-color: var(--primary-clr);
  color: var(--light-heading-clr);
}
.main-navbar .get-started-btn:hover {
  background-color: var(--light-heading-clr);
  color: var(--primary-clr);
  border: 1px solid var(--primary-clr);
}
.main-navbar .menu-btn {
  min-width: 30px;
  width: 30px;
  height: 30px;
  display: flex;
  justify-content: flex-start;
  align-items: center;
  cursor: pointer;
  display: none;
}
.main-navbar .menu-btn span {
  position: relative;
  display: block;
  width: 100%;
  height: 2px;
  background-color: var(--light-heading-clr);
  border-radius: 5px;
  transition: all 0.4s;
}
.main-navbar .menu-btn span::before,
.main-navbar .menu-btn span::after {
  position: absolute;
  content: "";
  top: 0;
  left: 0;
  width: 80%;
  height: 100%;
  background-color: var(--light-heading-clr);
  transition: all 0.4s;
}
.main-navbar .menu-btn span::before {
  transform: translateY(-9px);
}
.main-navbar .menu-btn span::after {
  transform: translateY(9px);
}

.programs{
  width: 100%;
  display: flex;
  align-items: center;
  justify-content: space-between;
}
.program img{
  width: 100%;
  border-radius: 10px;
  display: block;
}
.program{
  flex-basis: 31%;
  position: relative;
}
.caption{
  border-radius: 10px;
  position: absolute;
  top: 0;
  left: 0;
  bottom: 0;
  right: 0;
  background: rgba(255, 215, 0, 0.3);
  display: flex;
  align-items: center;
  justify-content: center;
  flex-direction: column;
  color: #fff;
  cursor: pointer;
  opacity: 0;
  padding-top: 70%;
  transition: 0.4s;
}
.caption img{
  width: 60px;
  margin-bottom: 10px;
}
.program:hover .caption{
  opacity: 1;
  padding-top: 0;
}

/* ----- media query ----- */

@media (max-width: 650px){
  .programs{
    flex-direction: column;
  }
  .program{
    flex-basis: 100%;
    margin: 20px;
  }
}

section.instructor{
	width: 100%;
	padding: 100px 8% 20px;
}
.instructor .instructor-container{
	width: 100%;
	padding: 70px 8%;
	background-color: var(--primary-light-clr);
	border-radius: 0px 100px 0px 100px;
}
.instructor-container h2{
	font-size: 24px;
	color: var(--dark-heading-clr);
}
.instructor-container p{
	margin: 20px 0px 35px;
	color: var(--dark-text-clr);
}
/*   === Teacher Section Styling Ends ===   */


/*   === Testimonials Section Styling Starts ===   */
section.testimonials {
  width: 100%;
  padding: 100px 8%;
}
.testimonials .section-header {
  width: 70%;
  max-width: 700px;
}
.testimonials-slider .testimonials-item {
  position: relative;
  padding: 20px 25px;
  background-color: var(--primary-light-clr);
}
.testimonials-item .profile {
  display: flex;
  align-items: center;
}
.testimonials-item .profile .profile-image {
  width: 55px;
  height: 55px;
  border-radius: 50%;
  overflow: hidden;
  margin-right: 15px;
}
.testimonials-item .profile .profile-image img {
  width: 100%;
  height: 100%;
  border-radius: 50%;
  object-fit: cover;
}
.testimonials-item .profile .profile-desc {
  display: flex;
  flex-direction: column;
}
.profile .profile-desc span:nth-child(1) {
  font-size: 24px;
  font-weight: bold;
  color: var(--primary-clr);
}
.profile .profile-desc span:nth-child(2) {
  font-size: 15px;
  color: var(--dark-heading-clr);
}
.testimonials-item > p {
  margin: 15px 0px;
  font-size: 14px;
  line-height: 1.5;
  color: var(--dark-text-clr);
}
.testimonials-item .quote {
  text-align: center;
}
.testimonials-item .quote i {
  font-size: 25px;
  color: var(--dark-text-clr);
  margin-right: 20px;
}
.testimonials-item .ratings {
  margin-top: 20px;
}
.testimonials-item .ratings i {
  font-size: 17px;
  color: gold;
  cursor: pointer;
}
/*   === Testimonials Section Styling Ends ===   */

.campus1{
  margin: 5px auto;
  width: 100%;
  text-align: center;
}
.galleria{
  display: flex;
  align-items: center;
  justify-content: space-between;
  margin-bottom: 40px;
  flex-wrap: wrap;
}
.galleria img{
  width: 20%;
  border-radius: 10px;
  margin-bottom: 30px;
}

.fix {
  width: 100%;
	padding: 0 8%;
}

@media (max-width: 800px){
  .galleria{
    flex-wrap: wrap;
  }
  .galleria img{
    width: 48%;
    margin-bottom: 25px;
  }
}
@media (max-width: 450px){
  
  .galleria img{
    width: 100%;
    margin-bottom: 25px;
  }
}

.faqs {
  display: flex;
  flex-direction: column;
  align-items: center;
}

.faq {
  max-width: 700px;
  margin-top: 2rem;
  padding-bottom: 1rem;
  border-bottom: 2px solid #EADF28;
  cursor: pointer;
}

.question {
  display: flex;
  justify-content: space-between;
  align-items: center;
}

.question h3 {
  font-size: 1.8rem;
}

.answer {
  max-height: 0;
  overflow: hidden;
  transition: max-height 1.4s ease;
}

.answer p {
  padding-top: 1rem;
  line-height: 1.6;
  font-size: 1.4rem;
}

.faq.active .answer {
  max-height: 300px;
  animation: fade 1s ease-in-out;
}

.faq.active svg {
  transform: rotate(180deg);
}

svg {
  transition: transform 0.5s ease-in;
}

@keyframes fade {
  from {
    opacity: 0;
    transform: translateY(-10px);
  }
  to {
    opacity: 1;
    transform: translateY(0px);
  }
}



@media (max-width: 968px) {
  /* Home Section */
  .main-navbar .menu-btn {
    display: flex;
    margin-left: 40px;
    z-index: 101;
  }
  .main-navbar .menu-btn.active span,
  .main-navbar .menu-btn.active span::before,
  .main-navbar .menu-btn.active span::after {
    width: 100%;
  }
  .main-navbar .menu-btn.active span::before {
    transform: rotate(45deg) translateY(0px);
  }
  .main-navbar .menu-btn.active span::after {
    transform: rotate(-45deg) translateY(0px);
  }
  .main-navbar .menu-btn.active span {
    background-color: transparent;
  }
  .main-navbar .nav-list {
    position: fixed;
    width: 100%;
    height: 100vh;
    top: 0;
    /*right: 0;*/
    right: -100%;
    display: flex;
    flex-direction: column;
    align-items: center;
    background-color: var(--primary-clr);
    transition: right 0.3s cubic-bezier(0.15, 0.61, 0.94, 0.25);
    z-index: 100;
  }
  .main-navbar .nav-list.active {
    right: 0;
  }
  .main-navbar .nav-list li {
    margin: 25px 0px 0px;
  }
  .main-navbar .nav-list li:nth-child(1) {
    margin-top: 180px;
  }
  .main-navbar .nav-list li a {
    font-size: 20px;
    letter-spacing: 1px;
  }
  .main-navbar .get-started-btn-container {
    margin-left: auto;
  }
  .home .banner {
    flex-direction: column-reverse;
    justify-content: flex-start;
    align-items: flex-start;
  }
  .home .banner .banner-desc,
  .home .banner .banner-img {
    flex-basis: 100%;
  }
  .home .banner .banner-img {
    align-self: center;
    margin-bottom: 50px;
  }
  /* Services Section */
  .services-contents .service-box {
    flex-basis: calc(calc(100% / 2) - 2%);
  }
  .services-contents .service-box:not(:last-child) {
    margin-bottom: 20px;
  }
  /* Courses Section */
  .courses .course-contents .course-card {
    flex-basis: calc(calc(100% / 2) - 1.2%);
  }
  .courses .section-header {
    flex-direction: column;
  }
  .courses .section-header .courses-btn {
    position: relative;
    align-self: flex-start;
    margin-top: 20px;
  }
  /* Courses Categories Section */
  .categories-contents .category-item {
    flex-basis: calc(calc(100% / 2) - 1%);
    margin-bottom: 15px;
  }

@media (max-width: 768px) {
  /* Home Section */
  .banner-img-container .states .total-courses {
    left: 5px;
    bottom: 10%;
  }
  .banner .banner-desc h2 {
    font-size: 42px;
  }
  /* Testimonials Section */
  .testimonials .section-header {
    width: 100%;
    margin-bottom: 70px;
  }
}

@media (max-width: 668px) {
  /* Partners Section */
  .partners h3 {
    margin-right: 150px;
  }
  /* Services Section */
  .services-contents .service-box {
    flex-basis: 100%;
  }
  /* Courses Section */
  .courses .course-contents .course-card {
    flex-basis: 100%;
  }
}


@media (max-width: 468px) {
  .banner-img .banner-img-container {
    width: 100%;
  }
  .banner .banner-desc .search-bar {
    width: 100%;
  }
  .banner-img-container .states .courses-ratings {
    top: 30px;
    right: -10px;
  }
  .banner .banner-desc h2 {
    font-size: 32px;
  }
  .main-navbar .get-started-btn-container {
    display: none;
  }
  /* Partners Section */
  .partners h3 {
    margin-right: 0px;
    margin-bottom: 80px;
  }
}}
